<?php

namespace Dropp\Woocommerce;

class Assets {

	/**
	 * Echo the element where the react app will run.
	 */
	public function add_placeholder_div() {
		echo "<div id='woocommerce_with_dropp'></div>";
	}

	/**
	 * Include scripts, styles and data for the React App to run properly.
	 */
	public function enqueue_scripts() {
		$js_to_load  = 'https://woocommerce.qa.dropp.rocks/dropp.js';

		wp_enqueue_script( 'woocommerce_with_dropp_js', $js_to_load, [], Plugin::get_instance()->get_plugin_version(), true );
		wp_localize_script( 'woocommerce_with_dropp_js', 'wc_with_dropp', [
			'apiUrl' => rest_url( 'dropp/v1' ),
		] );
	}
}
